Bug 475830 - 'Failed to update package lists' when refreshing update list
'Failed to update package lists' when refreshing update list
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: up2date (Show other bugs)
10
i386 Linux
low Severity high
: ---
: ---
Assigned To: Adrian Likins
Beth Nackashi
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-10 13:09 EST by Dr Maclolm Bradley
Modified: 2009-12-18 02:14 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 02:14:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dr Maclolm Bradley 2008-12-10 13:09:43 EST
Description of problem:

Attempting to run UPDATE results in a hanging of the UPDATE process. Refresh results in the following detailed message

failed to get a TID: A security policy in place prevents this sender from sending this message to this recipient, see message bus configuration file (rejected message had interface "org.freedesktop.PackageKit.Transaction" member "SetLocale" error name "(unset)" destination "org.freedesktop.PackageKit") (0)

Version-Release number of selected component (if applicable):


How reproducible:

System > Administration > Update 

Update hangs with the message above


Steps to Reproduce:
1.
2.
3.
  
Actual results:

Update hangs, clicking the Refresh button gives message above


Expected results:

As update was working for updates prior to 8th December I would have expected this to continue working....

Additional info:
Comment 1 Tim Kitsos 2008-12-10 17:41:55 EST
I have the same problem.  I believe it started with the Dec 7 system updates maybe with:

Dec 07 22:10:17 Updated: dbus-libs-1.2.6-1.fc10.i386
Dec 07 22:10:20 Updated: dbus-1.2.6-1.fc10.i386
Dec 07 22:10:52 Updated: dbus-x11-1.2.6-1.fc10.i386

Automatic updates no longer work.  Manual updates from the command line with Yum still work.

Drop down menu:  System/ Administration/ Update System/ Refesh = Failed to update package lists Unknown error. Please refer to the detailed report and report in Bugzilla.  More details:

failed to get a TID: A security policy in place prevents this sender from sending this message to this recipient, see message bus configuration file (rejected message had interface "org.freedesktop.PackageKit.Transaction" member "SetLocale" error name "(unset)" destination "org.freedesktop.PackageKit") (0)

or

Drop down menu:  System/ Administration/ Add/Remove Software = The group could not be queried. Running the transaction failed.  More details:

failed to get a TID: A security policy in place prevents this sender from sending this message to this recipient, see message bus configuration file (rejected message had interface "org.freedesktop.PackageKit.Transaction" member "SetLocale" error name "(unset)" destination "org.freedesktop.PackageKit") (0)

=================================================================
Updates current except missing package below.  Waiting for package (libpackagekit-glib.so.10) to show up.


[Tim@localhost ~]$ ls -l /etc/fedora-release
-rw-r--r-- 1 root root 30 2008-11-06 12:06 /etc/fedora-release
[Tim@localhost ~]$ su -
Password:
[root@localhost ~]# yum check-update
Loaded plugins: refresh-packagekit
fedora                                                   | 2.8 kB     00:00    
updates                                                  | 2.3 kB     00:00    
adobe-linux-i386                                         |  951 B     00:00    

PackageKit.i386                               0.3.11-4.fc10              updates
PackageKit-glib.i386                          0.3.11-4.fc10              updates
PackageKit-gstreamer-plugin.i386              0.3.11-4.fc10              updates
PackageKit-udev-helper.i386                   0.3.11-4.fc10              updates
PackageKit-yum.i386                           0.3.11-4.fc10              updates
PackageKit-yum-plugin.i386                    0.3.11-4.fc10              updates
[root@localhost ~]# yum update
Loaded plugins: refresh-packagekit
Setting up Update Process
Resolving Dependencies
--> Running transaction check
--> Processing Dependency: libpackagekit-glib.so.10 for package: gnome-packagekit
---> Package PackageKit-yum-plugin.i386 0:0.3.11-4.fc10 set to be updated
---> Package PackageKit-yum.i386 0:0.3.11-4.fc10 set to be updated
---> Package PackageKit-glib.i386 0:0.3.11-4.fc10 set to be updated
---> Package PackageKit.i386 0:0.3.11-4.fc10 set to be updated
---> Package PackageKit-gstreamer-plugin.i386 0:0.3.11-4.fc10 set to be updated
---> Package PackageKit-udev-helper.i386 0:0.3.11-4.fc10 set to be updated
--> Finished Dependency Resolution
gnome-packagekit-0.3.9-8.fc10.i386 from installed has depsolving problems
  --> Missing Dependency: libpackagekit-glib.so.10 is needed by package gnome-packagekit-0.3.9-8.fc10.i386 (installed)
Error: Missing Dependency: libpackagekit-glib.so.10 is needed by package gnome-packagekit-0.3.9-8.fc10.i386 (installed)
[root@localhost ~]#
Comment 2 Steve 2008-12-11 10:36:34 EST
Seems to be fixed now in today's update...
Comment 3 Dr Maclolm Bradley 2008-12-11 10:56:12 EST
I have updated today as root using yum. Some of the dependencies did not work, and so the complete update was not applied to the laptop I am using. The same laptop remains with the non working update system.

M Bradley
Comment 4 Tim Kitsos 2008-12-11 13:18:04 EST
Still have the same problems as previously stated.  Automatic updates not working.  GUI "Updates System" not working.  GUI "Add/Remove Software" not working.

I used the command (from root):

 yum update --skip-broken

to update system.  Everything updated except the packages depended on:

libpackagekit-glib.so.10

I'm assuming that package will show up at a later date.
Comment 5 Alexander Todorov 2008-12-11 13:25:01 EST
dbus issue is in bug #475068 while the missing deps is in bug #475608

Please close as dupe of one of those. I'm not sure which one of both errors you're tracking here.
Comment 6 Tim Kitsos 2008-12-11 18:56:17 EST
All problems solved.

Did yum update.  Everything updated this time.  

Rebooted now:

Automatic updates work.
GUI "Updates System" work.
GUI "Add/Remove Software" work.
All packages updated.

THANKS! Fedora People.
Comment 7 Bug Zapper 2009-11-18 04:39:44 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Tim Kitsos 2009-12-03 11:42:56 EST
No longer using Fedora 10. Using current Fedora 12. As stated in comment #6 All problems solved with Fedora 10.  THANKS AGAIN.
Comment 9 Bug Zapper 2009-12-18 02:14:51 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.